Skip to main content

Speech Recognition Request

POST 

/recognize

Sends audio data and recognition parameters, and receives recognition results synchronously.

caution
  • Parameters other than audio data can be sent either as query parameters or multipart. Setting the d parameter as a query parameter may exceed the request line limit, so sending as multipart is recommended.
  • If the same parameter is specified in both query parameters and multipart, the value set in the query parameter takes precedence.

Request

Responses

Recognition result in JSON format

On successful recognition, code == "" and message == "" and text != "". On failed recognition, code != "" and message != "" and text == "".

List of codes and messages

When values are set in code and message included in the response, it indicates that the request has failed. For details of each code and how to handle it, see Response Codes and Messages in the manual.

codemessage
+received unsupported audio format
-received illegal service authorization
!failed to connect to recognizer server
>failed to send audio data to recognizer server
<failed to receive recognition result from recognizer server
#received invalid recognition result from recognizer server
$timeout occurred while receiving audio data from client
%received too large audio data from client
orecognition result is rejected because confidence is below the threshold
brecognition result is rejected because recognizer server is busy
xrecognition result is rejected because grammar files are not loaded
crecognition result is rejected because the recognition process is cancelled
?recognition result is rejected because fatal error occurred in recognizer server